Bug 137629 - evo: false positives in link-guessing
Summary: evo: false positives in link-guessing
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-29 20:17 UTC by Zack Cerza
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-11 22:00:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of gnome-fs-ftp.png link (18.15 KB, image/png)
2004-10-29 20:18 UTC, Zack Cerza
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 323941 None None None Never

Description Zack Cerza 2004-10-29 20:17:25 UTC
Description of problem:
Evolution seems to think the text "gnome-fs-ftp.png" should be a link.
Specifically, the "ftp.png" part - "ftp://ftp.png". It seems pretty
obvious that this should not be a link to me. 

Here are some possible criteria to consider for the following
question: Should this string be a link, even though it lacks a
protocol prefix (like 'http://') and any slashes?
- NO if there are less than 2 dots in it (skip things like www.foo,
ftp.foo)
- NO if there is random junk before it (like 'gnome-fs-')
- NO if the characters between the last dot and the end of the string
are on a blacklist of common file extensions (but what about .COM files ;)
- YES if the characters between the last dot and the end of the string
are on a whitelist of valid TLDs

Obviously, the last criterion would be both slow and a pain to
maintain, and the third one would be highly subjective. Personally, I
like the first two... any ideas?

Version-Release number of selected component (if applicable):
evolution-2.0.2-3

Comment 1 Zack Cerza 2004-10-29 20:18:15 UTC
Created attachment 105958 [details]
screenshot of gnome-fs-ftp.png link

Comment 2 Dave Malcolm 2005-08-22 19:48:50 UTC
Still affects rawhide right now.

Code in e-utils/e_text_to_html_full does a !strncasecmp (cur, "ftp://", 6)
which ought to work properly, so I suspect something else is at fault here.

Comment 3 Dave Malcolm 2005-12-13 00:51:06 UTC
Still affects rawhide; evolution-2.5.2-1

Filed upstream here:
http://bugzilla.gnome.org/show_bug.cgi?id=323941

Comment 4 Zack Cerza 2006-01-11 23:31:15 UTC
I'm confused: You added it to FC5Target, then closed it.


Note You need to log in before you can comment on or make changes to this bug.